import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { ContextMenuHook } from './types';
export default class StandardContextMenuHook implements ContextMenuHook {
    private table;
    constructor(table: OnesTable);
    handleShowContextMenu(table: OnesTable, menuData: GC.Spread.Sheets.ContextMenu.IMenuItemData[], itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[], hitInfo: any, spread: object): void;
    destroy(): void;
}
